Subject: Re: bug#75170: add-to-alist: new function

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Jan 2025 14:34:02 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Tue, 21 Jan 2025 13:41:17 -0600
>> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
>>
>> I believe that the "contains both associations" part is what will risk
>> confusing some users.  It's not a given that they know that the first
>> one is the one that will be used.  It could just as easily have been the
>> last one, for example.
>
> And yet add-to-list is exactly what we tell users to use, see the node
> (emacs) Frame Parameters.

I'm personally on the fence about this addition.  I see good arguments
both for and against.

Given your doubts, maybe we should close this as a wontfix.